@import url("https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap");

:root {
  --step--2: clamp(0.91rem, calc(0.89rem + 0.08vw), 1rem);
  --step--1: clamp(1.09rem, calc(1.06rem + 0.15vw), 1.25rem);
  --step-0: clamp(1.31rem, calc(1.26rem + 0.24vw), 1.56rem);
  --step-1: clamp(1.58rem, calc(1.5rem + 0.36vw), 1.95rem);
  --step-2: clamp(1.89rem, calc(1.79rem + 0.53vw), 2.44rem);
  --step-3: clamp(2.27rem, calc(2.12rem + 0.75vw), 3.05rem);
  --step-4: clamp(2.72rem, calc(2.51rem + 1.04vw), 3.82rem);
  --step-5: clamp(3.27rem, calc(2.98rem + 1.43vw), 4.77rem);
}

::-webkit-scrollbar {
  width: 7px;
}

::-webkit-scrollbar-track {
  background: #222;
  border-radius: 12px;
}

::-webkit-scrollbar-thumb {
  background: #333;
  border-radius: 12px;
}

::-webkit-scrollbar-thumb:hover {
  background: #444;
}

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body {
  text-rendering: optimizeSpeed;
  image-rendering: optimizeQuality;
}
body {
  background-color: #222;
  color: #fff;
  font-family: "Inter", sans-serif;
  max-width: 90%;
  margin: 0 auto;
}

a,
p,
span,
button,
textarea,
input,
pre {
  font-family: inherit;
}

li {
  list-style: none;
}

a {
  text-decoration: none;
  color: inherit;
  padding: 0.5rem 1rem;
  border-radius: 5px;
  font-weight: 500;
  transition: 0.3s ease-in-out;
}

.container {
  width: 100%;
  height: 100vh;
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  grid-template-rows: 80px 1fr;
}

.header {
  grid-column: 1 / span 12;
  padding: 1.5rem;
}

.header img {
  width: 50px;
  height: 50px;
}

.header .nav-list {
  display: flex;
}

.nav-list > * {
  margin-left: 1.5rem;
}

.header nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.contents {
  grid-column: 1 / span 12;
  padding: 1.5rem;
  width: 100%;
  height: 100%;
}
.login--container {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}
h2 {
  font-size: 2rem;
}
form {
  padding: 1.5rem 1rem;
  width: 400px;
  background-color: #333;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border-radius: 5px;
}
form a {
  color: #ff8800;
}
form a:hover {
  color: #ffac4d;
}
.input--group {
  margin-bottom: 2rem;
  width: 70%;
  position: relative;
}
.input--group p {
  margin-top: 7px;
}
.showpassword-toggle {
  position: absolute;
  right: 4px;
  top: 16px;
  color: #fff;
}
input {
  padding: 1rem 1.5rem;
  width: 100%;
  outline: none;
  border: 1px solid #222;
  border-bottom: 2px solid #222;
  border-radius: 5px;
  font-size: 1rem;
  font-weight: 500;
  background-color: #222;
  color: #fff;
}
form button {
  padding: 1rem 1.5rem;
  width: 100%;
  outline: none;
  border: none;
  border-radius: 5px;
  color: #fff;
  background-color: #ff8800;
  font-size: 1rem;
  cursor: pointer;
}
.filtering {
  color: #ddd;
  padding: 1.5rem 0;
  border: 1px solid #999;
  padding: 1.5rem;
  margin: 1rem 0;
  border-radius: 5px;
}
.filtering ul {
  display: flex;
}
.filtering ul > * {
  margin-right: 1.5rem;
}
.filtering li {
  font-weight: 600;
  cursor: pointer;
  position: relative;
  transition: 0.125s ease-in-out;
  z-index: 1;
}
.circle {
  font-size: 0.7rem;
  position: absolute;
  right: -0.2rem;
  top: -18px;
  background-color: #222;
  color: #fff;
  padding: 0.05rem 0.3rem;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 5px;
}
.todos-pending {
  background-color: #ff8800;
}
.todos-done {
  background-color: #188351;
}
.filtering li:hover {
  color: #fff;
}
form p,
form pre {
  margin: 0.5rem;
  font-size: var(--step--2);
}
form button:hover:enabled {
  background-color: #ff941a;
}

form button:active:enabled {
  box-shadow: inset 2px 2px 4px rgba(0, 0, 0, 0.4);
}

.notfound a {
  color: #ff8800;
}

.notfound a:hover {
  color: #ffac4d;
}

.close {
  position: absolute;
  right: 5%;
  top: 5%;
}

.card {
  width: 100%;
  background-color: #212121;
  border-radius: 5px;
  border: 1px solid #ffac4d;
  border-bottom: 2px solid #ffac4d;
  margin: 1rem 0;
  transition: 0.3s ease-in-out;
}

.done {
  border: 2px solid #188351;
}

.card--title {
  display: flex;
  align-items: center;
  padding: 1.5rem;
}

.card--header-left p {
  font-weight: 500;
  color: #f3f3f3;
}

.card--title input {
  margin-right: 1.5rem;
}

.card--description {
  padding: 1.5rem;
  display: flex;
  justify-content: space-between;
}

.card--action {
  padding: 1.5rem;
}
.card--title {
  font-size: 2.1rem;
}

.card--header {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 1.5rem;
}

.card--header-right {
  display: flex;
}

.card--header-right span {
  margin-right: 0.5rem;
}

.todo--header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1.5rem 0;
}

.add--todo {
  padding: 0.5rem 1.5rem;
  outline: none;
  border: none;
  border-radius: 5px;
  color: #fff;
  background-color: #ff8800;
  cursor: pointer;
  margin-right: 0.5rem;
  transition: 0.3s ease-in-out;
  z-index: 999;
}
.add--todo:hover,
.add--todo:active {
  background-color: #ff8800ee;
}
.clear--todo {
  padding: 0.5rem 1.5rem;
  outline: none;
  border: none;
  border-radius: 5px;
  color: #fff;
  background-color: #f74242;
  cursor: pointer;
  transition: 0.3s ease-in-out;
}
.clear--todo:hover,
.clear--todo:active {
  background-color: #f74242ee;
}

.todo--controls i {
  font-size: 1.5rem;
}

i {
  font-size: 1.5rem;
}

.card:hover,
.card:active {
  border-color: #ddd;
}

i:hover {
  cursor: pointer;
}

.delete {
  color: #e65b65;
}

.edit {
  color: #53bcdc;
}

.todo-done {
  color: seagreen;
}

.todo-undone {
  color: #ffac4d;
}

.card--header-right i {
  border-radius: 50%;
  padding: 0.5rem;
  margin-right: -0.5rem;
}

.card--header-right i:hover {
  background-color: #333;
}

.todo-add {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
}

@media screen and (max-width: 1300px) {
  h1 {
    font-size: var(--step-2);
  }
  p,
  i span,
  a {
    font-size: var(--step--1);
  }
}

@media screen and (max-width: 800px) {
  body {
    max-width: 95%;
  }
  h1 {
    font-size: var(--step-1);
  }
  p,
  i span,
  a {
    font-size: var(--step--2);
  }
  .card--description {
    flex-direction: column;
  }
  .card--description > * {
    margin: 1rem 0;
  }
}
